import { authService } from "./instance";

import type { User } from "@/types/models/user.type";
import type { GetUserRequest } from "./types";

export const getUser = async (request: GetUserRequest): Promise<User | null> => {
  try {
    const { data } = await authService.get<User>(`/user/${request.id}`);

    return data;
  } catch (nativeError) {
    console.error(nativeError);
  }

  return null;
};
