import { Router } from "@/server/router";

import { setAccountRoutes } from "@/routes/account.routes";
import { setPrivilegeRoutes } from "@/routes/privilege.routes";
import { setRoleRoutes } from "@/routes/role.routes";
import { setTariffRoutes } from "@/routes/tariff.routes";
import { setPermissionRoutes } from "@/routes/permission.routes";

export const combineRoutes = (router: Router): void => {
  router.group("/role", setRoleRoutes);
  router.group("/account", setAccountRoutes);
  router.group("/privilege", setPrivilegeRoutes);
  router.group("/tariff", setTariffRoutes);
  router.group("/permission", setPermissionRoutes);
};
