import path from "path";
import * as dotenv from "dotenv";

import { defineEnvironment } from "./define-environment";

export const configureENV = () => {
  const environment = defineEnvironment();

  if (environment === "development") {
    return dotenv.config({
      debug: true,
      path: path.resolve(process.env.PWD || "", ".env.example"),
    });
  }

  return dotenv.config();
};

configureENV();
