import cookie from "@fastify/cookie";
import jwt from "@fastify/jwt";
import swagger from "@fastify/swagger";
import swaggerUI from "@fastify/swagger-ui";

import printRoutes from "@/plugins/print-routes";

import { DEFAULT } from "@/constants/default";

import type { FastifyInstance } from "fastify";
import type { PluginsOptions } from "@/types/configuration/plugins-options";

export const registerFastifyPlugins = (fastify: FastifyInstance, options: PluginsOptions) => {
  fastify.register(cookie, options.cookie);
  fastify.register(jwt, options.jwt);
  fastify.register(swagger, DEFAULT.swaggerOptions);
  fastify.register(swaggerUI, DEFAULT.swaggerUIOptions);
  fastify.register(printRoutes);

  return fastify;
};
