import type { FastifyRequest } from "fastify";
import type { Account } from "@/types/models/account.type";
import type { PaginationParams } from "@/types/messages/pagination.type";

export type GetAccountRequest = FastifyRequest<{
  Params?: {
    userId?: string;
  };
}>;

export type SetAccountRoleRequest = FastifyRequest<{
  Body: {
    userId?: string;
    role?: string;
  };
}>;

export type GetAccountsRequest = FastifyRequest<{
  Querystring?: PaginationParams;
}>;

export type GetAccountsResponse = {
  accounts: Account[];
  totalPages: number;
};
