import type { FastifyRequest } from "fastify";
import type { Permission } from "@/types/models/permission.type";
import type { ObjectWithPossibleFields } from "@/types/object-with-possible-fields";

export type CreatePermissionRequest = FastifyRequest<{
  Body?: ObjectWithPossibleFields<Permission>;
}>;

export type UpdatePermissionRequest = FastifyRequest<{
  Body?: ObjectWithPossibleFields<Permission>;
  Params?: {
    permissionId?: string;
  };
}>;

export type GetPermissionByIdRequest = FastifyRequest<{
  Params?: {
    permissionId?: string;
  };
}>;
