import type { FastifyRequest } from "fastify";
import type { Privilege } from "@/types/models/privilege.type";
import type { Eloquent } from "@/types/models/eloquent.type";

export type RawPrivilege = Partial<Omit<Privilege, keyof Eloquent>>;

export type RegisterPrivilegeRequest = FastifyRequest<{
  Body?: RawPrivilege;
}>;

export type RegisterPrivilegiesRequest = FastifyRequest<{
  Body?: {
    privilegies?: RawPrivilege[];
  };
}>;

export type GetServicePrivilegiesRequest = FastifyRequest<{
  Params?: {
    serviceKey?: string;
  };
}>;

export type GetPrivilegeRequest = FastifyRequest<{
  Params?: {
    privilegeId?: string;
  };
}>;

export type RemovePrivilegeRequest = FastifyRequest<{
  Body?: {
    privilegeId?: string;
  };
}>;
