import type { FastifyRequest } from "fastify";

type RoleRequest = {
  name?: string;
  permissions?: string[];
};

export type CreateRoleRequest = FastifyRequest<{ Body: RoleRequest }>;
export type RemoveRoleRequest = FastifyRequest<{ Body: { id?: string } }>;

export type GetRoleRequest = FastifyRequest<{
  Params: {
    query?: string;
  };
}>;

export type UpdateRoleRequest = FastifyRequest<{
  Body?: RoleRequest;
  Params: {
    query?: string;
  };
}>;
