import type { FastifyRequest } from "fastify";
import type { TariffMessage } from "@/types/messages/tariff-message.type";
import type { Tariff } from "@/types/models/tariff.type";
import type { PaginationParams } from "@/types/messages/pagination.type";

export type GetTariffRequest = FastifyRequest<{
  Params?: {
    id?: string;
  };
}>;

export type RemoveTariffRequest = FastifyRequest<{
  Body?: {
    id?: string;
  };
}>;

export type CreateTariffRequest = FastifyRequest<{
  Body?: TariffMessage;
}>;

export type ReplaceTariffRequest = FastifyRequest<{
  Body?: TariffMessage;
  Params?: { id?: string };
}>;

export type GetTariffsRequest = FastifyRequest<{
  Querystring?: PaginationParams;
}>;

export type GetTariffsResponse = {
  tariffs: Tariff[];
  totalPages: number;
};
