import "./configuration/configure-env";

import { Server } from "./server";

import { CONFIGURATION } from "@/constants/configuration";

console.info("server configuration: \n", JSON.stringify(CONFIGURATION, null, 2));
console.info("env: \n", JSON.stringify(process.env, null, 2));

const server = new Server({
  serverOptions: CONFIGURATION.http,
  databaseOptions: CONFIGURATION.db,
  pluginsOptions: {
    jwt: {
      secret: {
        public: CONFIGURATION.service.publicAccessSecretKey,
        private: "secret",
      },
      verify: {
        allowedIss: "pena-auth-service",
        allowedAud: "pena",
      },
    },
  },
});

server.start();
