import { SchemaDefinition } from "mongoose";

import type { Eloquent } from "@/types/models/eloquent.type";

export const eloquentSchema: SchemaDefinition<Eloquent> = {
  createdAt: {
    type: Date,
    required: true,
    default: Date.now,
  },
  updatedAt: {
    type: Date,
    required: true,
    default: Date.now,
  },
  deletedAt: {
    type: Date,
    required: false,
  },
  isDeleted: {
    type: Boolean,
    required: true,
    default: false,
  },
};
