import { Schema, model, SchemaDefinition } from "mongoose";

import { eloquentSchema } from "./eloquent.schema";

import type { Permission } from "@/types/models/permission.type";

const schema: SchemaDefinition<Permission> = {
  name: {
    type: String,
    required: true,
    index: { unique: true },
  },
  description: {
    type: String,
    required: true,
    default: "Разрешение на создание ролей",
  },
  ...eloquentSchema,
};

const schemaSettings = {
  versionKey: false,
  collection: "permissions",
};

const PermissionSchema = new Schema<Permission>(schema, schemaSettings);

export const PermissionModel = model("Permission", PermissionSchema);
