import { Schema, model, SchemaDefinition } from "mongoose";

import { eloquentSchema } from "./eloquent.schema";

import type { Role } from "@/types/models/role.type";

const schema: SchemaDefinition<Role> = {
  name: {
    type: String,
    required: true,
  },
  permissions: {
    type: Map,
    of: Boolean,
    default: {},
  },
  ...eloquentSchema,
};

const schemaSettings = {
  versionKey: false,
  collection: "roles",
};

const RoleSchema = new Schema<Role>(schema, schemaSettings);

export const RoleModel = model("Role", RoleSchema);
