import type { SwaggerMessage } from "@/types/swagger.type";

export const getAccountParams: SwaggerMessage = {
  type: "object",
  required: ["userId"],
  properties: {
    userId: {
      type: "string",
      description: "ID пользователя",
    },
  },
};

export const getAccountsQuerystring: SwaggerMessage = {
  type: "object",
  properties: {
    page: {
      type: "number",
      description: "номер страницы",
    },
    limit: {
      type: "number",
      description: "Лимит количества аккаунтов (больше 100 не обрабатывается)",
    },
  },
};

export const setAccountRoleBody: SwaggerMessage = {
  type: "object",
  required: ["userId", "role"],
  properties: {
    userId: {
      type: "string",
      description: "ID пользователя",
    },
    role: {
      type: "string",
      description: "название роли",
    },
  },
};
