import { swaggerError } from "@/utils/swagger-error";

import { account, accounts } from "./models";

import type { SwaggerMessage } from "@/types/swagger.type";

export const getAccountsResponse: Record<string, SwaggerMessage> = {
  200: accounts,
};

export const getAccountResponse: Record<string, SwaggerMessage> = {
  200: account,
  400: swaggerError(400, "invalid user id"),
};

export const createAccountResponse: Record<string, SwaggerMessage> = {
  200: account,
  400: swaggerError(400, "invalid user id"),
  401: swaggerError(401, "invalid token"),
  404: swaggerError(404, "user not found"),
  409: swaggerError(409, "account already exist"),
};

export const setAccountRoleResponse: Record<string, SwaggerMessage> = {
  200: account,
  400: swaggerError(400, "invalid user id"),
  401: swaggerError(401, "invalid token"),
  404: swaggerError(404, "user not found"),
};

export const removeAccountResponse: Record<string, SwaggerMessage> = {
  200: account,
  400: swaggerError(400, "invalid user id"),
  401: swaggerError(401, "invalid token"),
  404: swaggerError(404, "user not found"),
};
