import type { SwaggerMessage } from "@/types/swagger.type";

export const getPermissionParams: SwaggerMessage = {
  type: "object",
  required: ["permissionId"],
  properties: {
    permissionId: {
      type: "string",
      description: "ID разрешения",
    },
  },
};

export const getAccountsQuerystring: SwaggerMessage = {
  type: "object",
  properties: {
    page: {
      type: "number",
      description: "номер страницы",
    },
    limit: {
      type: "number",
      description: "Лимит количества аккаунтов (больше 100 не обрабатывается)",
    },
  },
};

export const createPermissionBody: SwaggerMessage = {
  type: "object",
  required: ["name", "description"],
  properties: {
    name: {
      type: "string",
      description: "имя разрешения",
    },
    description: {
      type: "string",
      description: "описание разрешения",
    },
  },
};
