import type { SwaggerMessage } from "@/types/swagger.type";

export const permission: SwaggerMessage = {
  description: "Разрешение",
  type: "object",
  properties: {
    _id: { type: "string" },
    name: { type: "string" },
    description: { type: "string" },
    isDeleted: { type: "boolean" },
    createdAt: {
      type: "string",
      format: "date-time",
    },
    updatedAt: {
      type: "string",
      format: "date-time",
    },
    deletedAt: {
      type: "string",
      format: "date-time",
    },
  },
  examples: [
    {
      _id: "807f1f77bcf81cd799439011",
      name: "hub-admin-backend-service.deleteAccount",
      nickname: "Разрешение на удаление аккаунта",
      avatar: "/media/avatar/default-avatar.jpg",
      role: "user",
      isDeleted: false,
      createdAt: "2017-07-21T17:32:28Z",
      updatedAt: "2017-07-21T17:32:28Z",
    },
  ],
};

export const permissions: SwaggerMessage = {
  description: "Список разрешений",
  type: "array",
  items: permission,
};
