import { swaggerError } from "@/utils/swagger-error";

import { permission, permissions } from "./models";

import type { SwaggerMessage } from "@/types/swagger.type";

export const getAllPermissionsResponse: Record<string, SwaggerMessage> = {
  200: permissions,
};

export const getPermissionResponse: Record<string, SwaggerMessage> = {
  200: permission,
  400: swaggerError(400, "invalid permission id"),
  404: swaggerError(400, "permission not found"),
};

export const createPermissionResponse: Record<string, SwaggerMessage> = {
  200: permission,
  409: swaggerError(409, "permission already exist"),
};
