import type { SwaggerMessage, SwaggerValueType } from "@/types/swagger.type";

const privilegeExamples: SwaggerValueType[] = [
  {
    _id: "207f1f67bcf86cd799439011",
    name: "Количество попыток использования",
    privilegeId: "507f1f77bcf86cd799439011",
    serviceKey: "docx-templater-service",
    description: "Количество попыток использования",
    type: "count",
    value: "200",
    price: 12300,
    isDeleted: false,
    createdAt: "2017-07-21T17:32:28Z",
    updatedAt: "2017-07-21T17:32:28Z",
  },
];

export const privilege: SwaggerMessage = {
  type: "object",
  description: "Привилегия",
  properties: {
    _id: { type: "string" },
    name: { type: "string" },
    privilegeId: { type: "string" },
    serviceKey: { type: "string" },
    description: { type: "string" },
    type: { type: "string" },
    value: { type: "string" },
    price: { type: "number" },
    amount: { type: "number" },
    isDeleted: { type: "boolean" },
    createdAt: {
      type: "string",
      format: "date-time",
    },
    updatedAt: {
      type: "string",
      format: "date-time",
    },
    deletedAt: {
      type: "string",
      format: "date-time",
    },
  },
  examples: privilegeExamples,
};
