import type { SwaggerMessage } from "@/types/swagger.type";

export const getRoleParams: SwaggerMessage = {
  type: "object",
  required: ["query"],
  properties: {
    query: {
      type: "string",
      description: "query может принимать как id, так и name роли",
    },
  },
  examples: [{ query: "507f1f77bcf86cd799439011" }, { query: "admin" }],
};

export const roleBody: SwaggerMessage = {
  type: "object",
  required: ["name", "permissions"],
  properties: {
    name: {
      type: "string",
      description: "Название роли",
    },
    permissions: {
      type: "array",
      description: "Массив разрешений",
      items: { type: "string" },
    },
  },
  examples: [{ name: "admin", permissions: ["read", "write"] }],
};

export const updateRoleBody: SwaggerMessage = {
  type: "object",
  properties: {
    name: {
      type: "string",
      description: "Название роли",
    },
    permissions: {
      type: "array",
      description: "Массив разрешений",
      items: { type: "string" },
    },
  },
  examples: [{ name: "admin", permissions: ["read", "write"] }],
};

export const getRoleByIdBody: SwaggerMessage = {
  type: "object",
  required: ["id"],
  properties: {
    id: {
      type: "string",
      description: "ID роли",
    },
  },
  examples: [{ id: "507f1f77bcf86cd799439011" }],
};
