import type { SwaggerMessage } from "@/types/swagger.type";

export const role: SwaggerMessage = {
  type: "object",
  description: "Роль",
  properties: {
    _id: { type: "string" },
    name: { type: "string" },
    permissions: {
      type: "object",
      additionalProperties: { type: "boolean" },
    },
  },
  examples: [
    {
      _id: "638388e120c70c17eb123d37",
      name: "user",
      permissions: {
        read: true,
        write: false,
      },
    },
    {
      _id: "638388f720c70c17eb123d3a",
      name: "admin",
      permissions: {
        read: true,
        write: true,
      },
    },
  ],
};
