import { swaggerError } from "@/utils/swagger-error";

import { role } from "./models";

import type { SwaggerMessage } from "@/types/swagger.type";

export const getRolesReponse: Record<string, SwaggerMessage> = {
  200: {
    type: "array",
    description: "Массив ролей",
    items: role,
  },
};

export const getRoleReponse: Record<string, SwaggerMessage> = {
  200: role,
  400: swaggerError(400, "query is empty"),
  404: swaggerError(404, "role not found"),
};

export const createRoleReponse: Record<string, SwaggerMessage> = {
  200: role,
  400: swaggerError(400, "field <name> is empty"),
  409: swaggerError(409, "role already exist"),
};

export const restoreRoleReponse: Record<string, SwaggerMessage> = {
  200: role,
  400: swaggerError(400, "wrong id"),
  404: swaggerError(404, "role by id not found"),
  409: swaggerError(409, "role not removed"),
};

export const updateRoleReponse: Record<string, SwaggerMessage> = {
  200: role,
  400: swaggerError(400, "either name or permissions must be filled"),
  404: swaggerError(404, "role not found"),
};

export const removeRoleReponse: Record<string, SwaggerMessage> = {
  200: role,
  400: swaggerError(400, "wrong id"),
  404: swaggerError(404, "role by id not found"),
  409: swaggerError(409, "role already deleted"),
};

export const deleteRoleReponse: Record<string, SwaggerMessage> = {
  200: role,
  400: swaggerError(400, "wrong id"),
  404: swaggerError(404, "role not found"),
};
