import { swaggerError } from "@/utils/swagger-error";

import { tariff, tariffs } from "./models";

import type { SwaggerMessage } from "@/types/swagger.type";

export const getTariffReponse: Record<string, SwaggerMessage> = {
  200: tariff,
  400: swaggerError(400, "invalid id"),
  404: swaggerError(404, "tariff not found"),
};

export const getTariffsReponse: Record<string, SwaggerMessage> = {
  200: tariffs,
};

export const createTariffReponse: Record<string, SwaggerMessage> = {
  200: tariff,
  400: swaggerError(400, "invalid 'price' value"),
  401: swaggerError(400, "invalid user id"),
  404: swaggerError(404, "privilege with id <privilegeId> not found"),
};

export const replaceTariffReponse: Record<string, SwaggerMessage> = {
  200: tariff,
  400: swaggerError(400, "invalid id"),
  401: swaggerError(400, "invalid user id"),
  404: swaggerError(404, "tariff not found"),
};

export const removeTariffReponse: Record<string, SwaggerMessage> = {
  200: tariff,
  400: swaggerError(400, "invalid id"),
  401: swaggerError(400, "invalid user id"),
  404: swaggerError(404, "tariff not found"),
};
