import { determinePaginationParameters } from "./determine-pagination-parameters";

import type { PaginationParams } from "@/types/messages/pagination.type";

describe("determinePaginationParameters", () => {
  const testCases: Array<{
    input: PaginationParams;
    result: ReturnType<typeof determinePaginationParameters>;
  }> = [
    {
      input: {
        page: 1,
        limit: 2,
      },
      result: {
        page: 1,
        limit: 2,
      },
    },
    {
      input: {
        page: -100,
        limit: 200,
      },
      result: {
        page: 1,
        limit: 100,
      },
    },
    {
      input: {
        page: 6,
        limit: -100,
      },
      result: {
        page: 6,
        limit: 100,
      },
    },
  ];

  test.each(testCases)("Успешное определение значений пагинации %j", ({ input, result }) => {
    expect(determinePaginationParameters(input)).toEqual(result);
  });
});
